Vla-get-layouts

提供:GizmoLabs - だいたい CAD LISP なサイト
構文
(vla-get-layouts vla-object)


機能
ドキュメントの Layouts コレクションを取得する。


引数
  • vla-object … Database、Document の VLAオブジェクト


戻り値
Layouts の VLA オブジェクト


サンプル
(vl-load-com)
(defun c:Example_Layouts()
    ;; レイアウトコレクションにアクセスして図面内のレイアウトリストを表示するサンプル
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
    
    ;; layouts コレクションを取得
    (setq Layouts (vla-get-Layouts doc))
    
    (setq msg "")   ;; 空文字
    
    ;; レイアウト名を取得
    (vlax-for Layout Layouts
        (setq msg (strcat msg (vla-get-Name Layout) "\n"))
    )
    
    ;; 
    (alert (strcat (vla-get-WindowTitle doc) "にある" (itoa (vla-get-Count Layouts)) 
                   " 個のレイアウト :\n" msg))
)


関連事項